com.fasterxml.jackson.databind.introspect

## Class PotentialCreators

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.PotentialCreators

    public class PotentialCreators
    extends Object

### Field Summary

Fields
`PotentialCreator` `propertiesBased` Property-based Creator found, if any

### Constructor Summary

Constructors
Constructor and Description
`PotentialCreators()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addExplicitDelegating(PotentialCreator ctor)`
`List<PotentialCreator>` `getExplicitDelegating()`
`List<PotentialCreator>` `getImplicitDelegatingConstructors()`
`List<PotentialCreator>` `getImplicitDelegatingFactories()`
`boolean` `hasPropertiesBased()`
`boolean` `hasPropertiesBasedOrDelegating()`
`void` `setImplicitDelegating(List<PotentialCreator> implicitConstructors, List<PotentialCreator> implicitFactories)`
`void` `setPropertiesBased(MapperConfig<?> config, PotentialCreator ctor, String mode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### propertiesBased

    public PotentialCreator propertiesBased

Property-based Creator found, if any

### Constructor Detail

#### PotentialCreators

    public PotentialCreators()

### Method Detail

#### setPropertiesBased

    public void setPropertiesBased(MapperConfig<?> config,
                                   PotentialCreator ctor,
                                   String mode)

#### addExplicitDelegating

    public void addExplicitDelegating(PotentialCreator ctor)

#### setImplicitDelegating

    public void setImplicitDelegating(List<PotentialCreator> implicitConstructors,
                                      List<PotentialCreator> implicitFactories)

#### hasPropertiesBased

    public boolean hasPropertiesBased()

#### hasPropertiesBasedOrDelegating

    public boolean hasPropertiesBasedOrDelegating()

#### getExplicitDelegating

    public List<PotentialCreator> getExplicitDelegating()

#### getImplicitDelegatingFactories

    public List<PotentialCreator> getImplicitDelegatingFactories()

#### getImplicitDelegatingConstructors

    public List<PotentialCreator> getImplicitDelegatingConstructors()